List an entity's invoice payments
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/invoices/payments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/invoices/payments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/invoices/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/InvoicePayment",
"@id": "/invoices/payments",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/invoices/payments/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "InvoicePayment",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"invoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"currency": "MXN",
"exchangeRate": 19.8,
"installment": 3,
"previousBalance": 53249.8,
"amount": -53249.8,
"outstandingBalance": 0,
"invoice": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
"batchPayment": "/invoices/batch-payments/91106968-1abd-4d64-85c1-4e73d96fb997",
"canceledAt": "2023-11-07T05:31:56Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Payments
List an entity's invoice payments
List invoice payments extracted for an entity.
GET
/
entities
/
{entityId}
/
invoices
/
payments
List an entity's invoice payments
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
Required range:
1 <= x <= 1000Response
Invoice payment collection response
Was this page helpful?
⌘I